package cz.muni.fi.pa165.dto;

import cz.muni.fi.pa165.entity.MatchEntity;
import cz.muni.fi.pa165.entity.TeamEntity;
import lombok.Getter;
import lombok.Setter;

import java.util.HashSet;
import java.util.Set;

/**
 * @author mvalko
 */
@Getter
@Setter
public class PlayerDTO extends PersonDTO {

    private TeamEntity team;

    private Set<MatchEntity> matches = new HashSet<>();

    private int killStat;

    private int deathStat;

    private int assistStat;
}
